HTTP API
Write input to a process.
POST /v1/processes/{id}/input
POST
/v1/processes/{id}/input
Sends data to a process’s stdin (pipe mode) or PTY writer (tty mode).
Data can be encoded as base64, utf8, or text. Returns 413 if the decoded
payload exceeds the configured maxInputBytesPerRequest limit.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Process ID
Request Body required
Section titled “Request Body required ”object
data
required
string
encoding
string
Responses
Section titled “ Responses ”Input accepted
object
bytesWritten
required
integer
Invalid request
object
detail
string
instance
string
status
required
integer format: int32
title
required
string
type
required
string
key
additional properties
Process not writable
object
detail
string
instance
string
status
required
integer format: int32
title
required
string
type
required
string
key
additional properties
Input exceeds configured limit
object
detail
string
instance
string
status
required
integer format: int32
title
required
string
type
required
string
key
additional properties
Process API unsupported on this platform
object
detail
string
instance
string
status
required
integer format: int32
title
required
string
type
required
string
key
additional properties